Avid Pro Audio Community

Avid Pro Audio Community

How to Join & Post  •  Community Terms of Use  •  Help Us Help You

Knowledge Base Search  •  Community Search  •  Learn & Support


Avid Home Page

Go Back   Avid Pro Audio Community > Pro Mixing > Avid S1, S3, Dock and Control

Reply
 
Thread Tools Search this Thread Display Modes
  #1  
Old 10-19-2017, 02:21 PM
SevenRising SevenRising is offline
Member
 
Join Date: Mar 2017
Location: Kansas City
Posts: 60
Default Incompatible EuCon version Logic Pro X message.

Anyone have any idea what this is all about?

Attached Images
File Type: jpg Monosnap 2017-10-19 15-19-12.jpg (42.9 KB, 0 views)
Reply With Quote
  #2  
Old 10-19-2017, 06:33 PM
jjnssn jjnssn is offline
Member
 
Join Date: May 2011
Location: Minneapolis
Posts: 529
Default Incompatible EuCon version Logic Pro X message.

I saw it today, however no idea. I haven’t read release notes. You think it would be explained in there.


Sent from my iPhone using Tapatalk Pro
__________________
____________________________________________

W10 Pro / X99 / E5-1650v3 / 64GB ECC / nVidia P1000 / ASUS TB3 AIC
PT HDX1 / OMNI / HD IO 16x16 / 11R / Kontakt Kontrol S49 / Artist Transport and Mix / UAD OCTO Satellite, Apollo Twin MKII &, x8P Thunderbolt

[Late 2013 10.14 MacBook Pro]
Reply With Quote
  #3  
Old 10-19-2017, 06:44 PM
SevenRising SevenRising is offline
Member
 
Join Date: Mar 2017
Location: Kansas City
Posts: 60
Default Re: Incompatible EuCon version Logic Pro X message.

Any advice?
Reply With Quote
  #4  
Old 10-20-2017, 12:58 PM
Halfmoon Halfmoon is offline
Member
 
Join Date: Nov 2001
Location: California
Posts: 61
Default Re: Incompatible EuCon version Logic Pro X message.

I saw the same when I launched X 10.2.2 after the complete, clean uninstall of 3.6.1 and then installing EUCON 3.7. Clicked "Launch with Eucon" and all seems to work OK regardless (PT Dock). So far so good anyway.
Reply With Quote
  #5  
Old 10-20-2017, 02:09 PM
SevenRising SevenRising is offline
Member
 
Join Date: Mar 2017
Location: Kansas City
Posts: 60
Default Re: Incompatible EuCon version Logic Pro X message.

It might be working fine in Logic, but who wants to see this message pop up every single time you launch Logic. Something isn't right and it needs fixing.
Reply With Quote
  #6  
Old 10-22-2017, 02:45 AM
info@giampaolotestoni.com info@giampaolotestoni.com is offline
Member
 
Join Date: Mar 2015
Location: Milano
Posts: 9
Default Re: Incompatible EuCon version Logic Pro X message.

New Eucon software 3.7 (138j problem with last Logic Pro X 10.3.2, El Capitan. When I open Logic Pro X , a window pop up say: Incompatible EuCon version. Please update EuCon.
Current EuCon version: 4.0.3 build 138
Minimum EuCon build: 65.916
under these written there are three buttons, first say Launch with EuCon, second say Launch without EuCon and third say Quit.
I’ve tried to reinstall, aven with clean script, I delete Logic preferences but always same window every time. After I click first button, Logic works perfectly with my Artists Control and Mix. Any suggestion?
Reply With Quote
  #7  
Old 10-25-2017, 05:35 PM
mattrixx mattrixx is offline
Member
 
Join Date: Jan 2005
Location: Adelaide - Australia
Posts: 808
Default Re: Incompatible EuCon version Logic Pro X message.

I would suggest that the Eucon support files within LogicProX probably need updating to correctly support Eucon. Logic update required.
__________________
Matt McKenzie-Smith
mattrixx.net
SourceConnect - mattrixx
AVID Collab user - mattrixx
Reply With Quote
  #8  
Old 10-29-2017, 06:54 AM
Marco Bernardo's Avatar
Marco Bernardo Marco Bernardo is offline
Member
 
Join Date: Jan 2007
Location: Lisboa, Portugal
Posts: 782
Default Re: Incompatible EuCon version Logic Pro X message.

The EUcon Workstation in System Preferences it the 4.0.3 build 138 build.

I don't know who's need to be updated, if is Logic or EUCon.

If you click use "Launch with Eucon" it will work as it should but that message it will appear every time you launch Logic using EuCon 3.7.

Does anyone have created a case with Avid Support to see what they have to say about this?
__________________
Marco Bernardo

Dialog Editor, Sound Designer, Re-Recording mixer

nMacPro 6Core/D500/512GB/64Gb ram | PT HD 12 HDN Thunderbolt | HD OMNI | Avid Artist Mix | Novation Impulse 25 | Waves Mercury Native | Audioease All In Bundle | SoundToys | McDSP Classic Pack | DUY Overpack | Arturia Beatstep Pro
Reply With Quote
  #9  
Old 11-12-2017, 12:24 PM
hanksinclair hanksinclair is offline
Member
 
Join Date: Nov 2014
Location: City
Posts: 57
Default Re: Incompatible EuCon version Logic Pro X message.

Because of this issue I downgraded to 3.6. I miss nothing - after months of hearing nothing from AVID there is a new version - but with bad issues. In addition they are not even able to spend COPY/MOVE/INSERT to the soft keys (after YEARS of software development)???
Reply With Quote
  #10  
Old 11-12-2017, 09:42 PM
Eric Lambert's Avatar
Eric Lambert Eric Lambert is offline
Member
 
Join Date: Dec 1969
Location: Los Angeles
Posts: 2,794
Default Re: Incompatible EuCon version Logic Pro X message.

My guess is that the issue is with Avid. The previous version of EuCon worked with Logic until EuCon was updated. Now Logic thinks it's outdated though clearly it shouldn't be. Something within EuCon isn't proper.
Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
"incompatible EuCon version" error when launching Logic X MowingDevil Artist Series 6 12-01-2017 09:51 AM
[Logic Pro 9 & Artist Mix] Incompatible EuCon version at initialization w00fa Artist Series 26 04-05-2013 07:17 AM
Reason: Incompatible library version: Pro Tools requires version 9.0.6 or later, but Patrick H macOS 3 11-20-2012 03:46 PM
EuCon 2.6.2 incompatible with Retina MacBook beemer Artist Series 42 11-18-2012 10:06 AM
Incompatible library version: CFnd provides version 7.2.0 heshion 003, Mbox 2, Digi 002, original Mbox, Digi 001 (Mac) 2 08-24-2009 04:42 PM


All times are GMT -7. The time now is 09:07 AM.


Powered by: vBulletin, Copyright ©2000 - 2008, Jelsoft Enterprises Limited. Forum Hosted By: URLJet.com